> ## Documentation Index
> Fetch the complete documentation index at: https://docs.keevx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# View the image-to-video task

> Get video generation task status



## OpenAPI

````yaml GET /v1/image_to_video/{task_id}
openapi: 3.1.1
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.keevx.com/
security:
  - bearerAuth: []
paths:
  /v1/image_to_video/{task_id}:
    get:
      description: Get video generation task status
      parameters:
        - name: task_id
          in: path
          description: The task ID to query
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Task status response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VideoInfoResponse'
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    VideoInfoResponse:
      type: object
      description: Image to Video task response wrapper
      properties:
        code:
          type: integer
          description: Status code
          example: 0
        msg:
          type: string
          description: Response message
          example: ok
        data:
          type: object
          description: Task details payload
          properties:
            task_id:
              type: string
              description: Unique identifier for the task
              example: i2v-d6b6472bcf724d0399e06d1390cb964e
            status:
              type: string
              description: Current status of the task
              example: SUCCEEDED
            video_url:
              type: string
              format: uri
              description: >-
                URL to the generated video. The URLs for the generated video and
                image files are only retained for 7 days. Please download and
                store them promptly.
              example: >-
                https://storage.googleapis.com/xiling_us_central1_bucket/backend-saas-cdn/image-to-video/9966750584897124421/sample_0.mp4
            thumbnail_url:
              type: string
              format: uri
              description: >-
                URL to the video thumbnail. The URLs for the generated video and
                image files are only retained for 7 days. Please download and
                store them promptly.
              example: >-
                https://storage.googleapis.com/xiling_us_central1_bucket/backend-saas-cdn/video-ai/tmp/image2video/veo/022934e6-b6d2-4d15-a320-cd60f6e43ae3/i2v-d6b6472bcf724d0399e06d1390cb964e.webp
            error_message:
              type: string
              description: Error details if the task failed
              example: ''
            duration:
              type: integer
              description: Duration of the video in seconds
              example: 8
            width:
              type: integer
              description: Video width in pixels
              example: 720
            height:
              type: integer
              description: Video height in pixels
              example: 1280
          required:
            - task_id
            - status
      required:
        - code
        - msg
        - data
    Error:
      required:
        - code
        - msg
      type: object
      properties:
        code:
          type: integer
          format: int32
          example: 100001
        msg:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````